# Produtos

{% hint style="info" %}
**Importante**: Sempre altere os dados entre chaves com o parâmetro respectivo.&#x20;

**Exemplo prático**:

No metodo estará descrevendo a rota com&#x6F;**:**

URL\_BASE/users/show-id/{id}/`{token_do_desenvolvedor}/{token_da_plataforma}`

Como ficará na prática:&#x20;

URL\_BASE/users/show-id/*<mark style="background-color:purple;">66caec96-...432</mark>*/*<mark style="color:green;background-color:purple;">66caec96-4749-...e07ed7</mark>*/*<mark style="background-color:purple;">66caec96-...4324</mark>*
{% endhint %}

## Buscar todos os produtos

<mark style="color:$success;">`GET`</mark>`URL_BASE/products/all-products/{token_do_desenvolvedor}/{token_da_plataforma}`

Possíveis retornos da requisição:

{% tabs %}
{% tab title="200: OK " %}

```json
{
	"data": [
		{
			"id": "11111111-aaaa-4444-bbbb-1234567890ab",
			"title": "Curso Avançado de Marketing Digital",
			"description": "Aprenda estratégias avançadas de marketing digital para aumentar suas vendas online.",
			"period": "12 meses",
			"value": 997.50,
			"product_id": "prod-curso-marketing-001",
			"lifetime": 0,
			"status": "active",
			"type": "Recorrente",
			"checkout": "internal",
			"sales_page_url": "https://minhaempresa.com/curso-marketing-digital",
			"support_email": "suporte@minhaempresa.com",
			"trial": "7 dias",
			"upsell": "Pacote VIP",
			"upsell_url": "https://minhaempresa.com/pacote-vip",
			"checkout_id": 101,
			"interval": 1,
			"interval_type": "month",
			"created_at": "2025-01-15T10:30:00.000000Z",
			"updated_at": "2025-07-01T14:00:00.000000Z"
		},
		{
			"id": "22222222-bbbb-5555-cccc-abcdef123456",
			"title": "Mentoria de Vendas - Edição Especial",
			"description": "Programa intensivo de mentoria para acelerar resultados em vendas.",
			"period": null,
			"value": 1499.00,
			"product_id": "prod-mentoria-vendas-2025",
			"lifetime": 1,
			"status": "cancelled",
			"type": "Venda única",
			"checkout": "external",
			"sales_page_url": "https://minhaempresa.com/mentoria-vendas",
			"support_email": "contato@minhaempresa.com",
			"trial": null,
			"upsell": null,
			"upsell_url": null,
			"checkout_id": 202,
			"interval": null,
			"interval_type": null,
			"created_at": "2024-11-10T09:15:00.000000Z",
			"updated_at": "2025-02-05T16:45:00.000000Z"
		}
	]
}

```

{% endtab %}
{% endtabs %}

## Buscar todos os produtos

<mark style="color:$success;">`GET`</mark>`URL_BASE/products/show-product/{product_id}/{token_do_desenvolvedor}/{token_da_plataforma}`

Possíveis retornos da requisição:

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "id": "id do produto",
    "title": "PRODUTO ABC",
    "description": "",
    "period": 0,
    "value": null,
    "product_id": null,
    "lifetime": 1,
    "status": "active",
    "type": "Venda única",
    "checkout": null,
    "sales_page_url": null,
    "support_email": null,
    "trial": null,
    "upsell": null,
    "upsell_url": null,
    "checkout_id": 0,
    "interval": null,
    "interval_type": null,
    "created_at": "2023-12-06T15:19:16.000000Z",
    "updated_at": "2023-12-06T15:19:16.000000Z"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
{
    "error": []
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://documentation.themembers.dev.br/api-gerenciamento-de-usuarios/referencia-da-api/produtos.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
